org.eclipse.wst.jsdt.chromium

## Interface Browser.TabConnector

Enclosing interface:
  Browser

    public static interface Browser.TabConnector

Tab list item that is fetched from browser. Connector is either can used to attach to tab or can be already attached.

### Method Summary

All Methods Instance Methods Abstract Methods
`BrowserTab` `attach(TabDebugEventListener listener)` Attaches to the related tab debugger.
`java.lang.String` `getUrl()`
`boolean` `isAlreadyAttached()`

### Method Detail

#### getUrl

    java.lang.String getUrl()

Returns:
  tab url that should be shown to user to let him select one tab from list

#### isAlreadyAttached

    boolean isAlreadyAttached()

Returns:
  true if the tab is already attached at this moment

#### attach

    BrowserTab attach(TabDebugEventListener listener)
               throws java.io.IOException,
                      MethodIsBlockingException

Attaches to the related tab debugger.

Parameters:
  `listener` - to report the debug events to
Returns:
  null if operation failed
Throws:
  `MethodIsBlockingException` - because initialization implies couple of remote calls (to request version etc)
  `java.io.IOException`